%define	name	oidentd
%define	version	2.0.7
%define	release	1mdk

Summary:	Ident server with masquerading support
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source0:	http://prdownloads.sourceforge.net/ojnk/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}.users.bz2
Source3:	%{name}.sysconfig.bz2
Source4:	%{name}.conf.bz2
URL:		http://ojnk.sourceforge.net/
BuildRequires:	flex bison
Provides:	identd
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	chkconfig fileutils
PreReq:		rpm-helper

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/sysconfig,%{_initrddir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/%{name} ; chmod 755 $RPM_BUILD_ROOT%{_initrddir}/%{name}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}_masq.conf
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -d $RPM_BUILD_ROOT%{_localstatedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}_masq.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_initrddir}/%{name}
%{_sbindir}/%{name}
%{_initrddir}/%{name}
%{_mandir}/*/*
%dir %{_localstatedir}/%{name}

%changelog
* Wed Jul 30 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.7-1mdk
- 2.0.7

* Mon Jul 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.6-1mdk
- 2.0.6

* Tue Feb 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.5-1mdk
- 2.0.5

* Wed Nov 27 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.4-6mdk
- Cleanups
- Fixed init script
- Fix config files

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-5mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Cleaned up initscript
	- Fixed permissions

* Mon Oct 14 2002 Per yvind Karlsen <peroyvind@delonic.no> 2.0.4-4mdk
- Added own user and group

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-3mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Fixed SysV init script
	- Fixed group

* Wed Sep 25 2002 Per yvind Karlsen <peroyvind@delonic.no> 2.0.4-2mdk
- Fixed %post_service and %preun_service
- Cleanups

* Wed Sep 25 2002 Per yvind Karlsen <peroyvind@delonic.no> 2.0.4-1dlc
- Initial release, spec file adopted from PLD
